;DN.INI является текстовым конфигурационным файлом Дос Навигатора.
;В нем настраивается много глобальных переменных Дос Навигатора, значения
;которых Вам, скорее всего, часто менять не придется. Будьте внимательны
;при редактировании этого файла ─ вводите верные значения!

;Параметры Дос Навигатора могут быть следующих типов:

; * bool ─ логический, принимает значения false/true, 0/1, no/yes;
; * long ─ целочисленный, принимает значения от 0 до 2147483647;
; * str  ─ строковый, принимает значения последовательности до 255
;          символов длиной.

;Далее идет описание всех параметров DN.INI:

[Interface]

ShowCopyTime=0
;ShowCopyTime = bool
;   При значении 1 в процессе копирования показывается время и
;   скороcть копирования.
;   (по умолчанию: 0)

HistoryButtonChars=▐▌
;HistoryButtonChars = str
;   В этом случае для отображения кнопки вызова истории в диалогах
;   будет использоваться ограниченный набор символов.
;   (по умолчанию: '▐▌')

PoorFrames=0
;PoorFrames = bool
;   Значение 1 определяет, что в используемой кодировке доступны не все
;   псевдографические символы. В этом случае для отображения рамок
;   будет использоваться ограниченный набор символов.
;   (по умолчанию: 0)

UseF3InViewer=0
;UseF3InViewer = long
;   При значении 0 нажатие F3 в просмотре файла не производит никаких
;   действий. При значении 1 нажатие F3 закрывает окно просмотра. При
;   значении 2 нажатие F3 производит переключение между режимами
;   просмотра текста, шестнадцатеричных кодов и дампа.
;   (по умолчанию: 0)

UseEnterInViewer=0
;UseEnterInViewer = long
;   При значении 0 нажатие Enter в просмотре файла не производит
;   никаких действий. При значении 1 нажатие Enter закрывает окно
;   просмотра. При значении 2 нажатие Enter производит переключение
;   между режимами просмотра текста, шестнадцатеричных кодов и дампа.
;   (по умолчанию: 0)

PanelDescrDrive=
PanelDescrFind=
PanelDescrTemp=
PanelDescrArc=
PanelDescrArvid=
;PanelDescrDrive = str
;PanelDescrFind  = str
;PanelDescrTemp  = str
;PanelDescrArc   = str
;PanelDescrArvid = str
;   Пользовательские описания для пунктов меню настроек колонок,
;   которое выводится по Alt-_. Описания для каждого номера колонок
;   разделены символом "#".
;   (по умолчанию: '')

PreserveMenuPositions=0
;PreserveMenuPositions = bool
;   Если включен, текущие позиции во всех меню между запусками Дос
;   Навигатора сохраняются.
;   (по умолчанию: 0)

HistoryErrorBeep=1
;HistoryErrorBeep = bool
;   Если включен, нажатие Del на "замороженном" элементе истории ввода
;   выдает звуковой сигнал. В противном случае нажатие Del на таком
;   элементе игнорируется.
;   (по умолчанию: 1)

ReuseEditors=0
ReuseViewers=0
;ReuseEditors = long
;ReuseViewers = long
;   Устанавливают действие, производимое при попытке пользователя
;   открыть в редакторе или программе просмотра уже открытый в них
;   файл. Принимают значения:
;   0 ─ открыть файл еще раз в новом окне;
;   1 ─ запрашивать открытие нового окна;
;   2 ─ показывать уже открытое окно.
;   ReuseEditors и ReuseViewers осуществляют данную настройку для
;   редактора и программы просмотра соответственно.
;   (по умолчанию: 0)

ReflectCopyDirection=0
;ReflectCopyDirection = bool
;   При значении 1 индикатор копирования растет справа налево при
;   копировании с правой панели в левую.
;   (по умолчанию: 0; т.е. всегда только слева на право)

FadeDelay=0
;FadeDelay = long
;   Настраивает визуальные эффекты затемнения на вход/выход Дос
;   Навигатора (регулирует скорость затемнения). Рекомендуемое
;   значение ─ 5.
;   (по умолчанию: 0; т.е. эффекты отключены)

VertScrollBarChars=▒■▓
;VertScrollBarChars = str
;   Задает внешний вид вертикальной полосы прокрутки. Требует 5
;   символов: верхний символ, нижний символ, символ полосы, символ
;   ползунка и символ пустой полосы. Записывается в виде строки из 5
;   символов.
;   (по умолчанию: '▒■▓')

HorizScrollBarChars=▒■▓
;HorizScrollBarChars = str
;   Задает внешний вид горизонтальной полосы прокрутки. Требует 5
;   символов: левый символ, правый символ, символ полосы, символ
;   ползунка и символ пустой полосы. Записывается в виде строки из 5
;   символов.
;   (по умолчанию: '▒■▓')

SystemMenuChar=4
;SystemMenuChar = long
;   Определяет символ, используемый для обозначения первого подменю
;   главного меню. Символ задается своим ASCII-кодом.
;   Примечание: Если хотите "Ё" вместо "", то задайте значение 240.
;   (по умолчанию: 4)

DriveSelectVCenter=0
;DriveSelectVCenter = bool
;   Включает отображение диалога смены диска (Alt-F1/F2) в центре
;   панели.
;   (по умолчанию: 0)

WinManagerSelectNext=1
;WinManagerSelectNext = bool
;   При выборе окна по Alt-0 выбирается не текущее окно, а следующее
;   по порядку.
;   (по умолчанию: 1)

DriveInfoType=2
;DriveInfoType = long
;   Управляет отображением дополнительной информацией в диалоге смены
;   диска (Alt-F1/F2). Принимать комбинацию из следующих значений:
;    1 ─ показывать тип дискового устройства;
;    2 ─ показывать текущий каталог для локальных дисков;
;    4 ─ показывать текущий каталог для CD-ROM;
;    8 ─ показывать имя сервера/тома для сетевых дисков;
;   16 ─ включать каталоги быстрого доступа в меню;
;   32 ─ показывать количество файлов на устройстве TEMP.
;   Примечание: Вы также можете задать желаемые значения в диалоге
;   "Настройки|Конфигурация|Интерфейс...".
;   (по умолчанию: 2; т.е. показывать текущий каталог только для
;   локальных дисков)

CutDriveInfo=1
;CutDriveInfo = bool
;   Укорачивание описания дисков в диалоге выбора диска (Alt-F1/F2).
;   (по умолчанию: 1)

[Clock]

RightAlignClock=0
;RightAlignClock = bool
;   При значении 1, часы всегда находятся вплотную к правому краю
;   экрана.
;   (по умолчанию: 0)

DaysOfWeek=(use language default)
;DaysOfWeek = str
;   Определяет названия дней недели, отображаемые в области часов
;   при нажатой клавише Ctrl, отличные от предусмотренных по умолчанию
;   для данного языка. Если длина значения равна 14 или 21, то из него
;   берется соответственно 2- или 3-буквенное название дня недели.
;   Названия дней недели перечисляются без пробелов, начиная с
;   воскресенья, например, SunMonTueWedThuFriSat. Если же параметр
;   имеет другую длину, оставлен пустым или опущен, то используются
;   2-буквенные названия, определенные в ресурсах для каждого языка в
;   отдельности.
;   (по умолчанию: '(use language default)')

ShowDayOfWeek=1
;ShowDayOfWeek = bool
;   Показывать день недели при удержании Ctrl.
;   (по умолчанию: 1)

ShowCentury=1
;ShowCentury = bool
;   Показывать 4 цифры для года при удержании Ctrl.
;   (по умолчанию: 1)

ShowSeconds=1
;ShowSeconds = bool
;   Показывать на часах секунды.
;   (по умолчанию: 1)

[SmartPad]

LineChar=196
;LineChar = long
;   Определяет символ, используемый для разделителя в SmartPad. Символ
;   задается своим ASCII-кодом. Псевдографический символ, используемый
;   по умолчанию (─), в некоторых случаях может быть неуместен, т.к.
;   не поддается перекодировке.
;   (по умолчанию: 196)

InsertDate=1
;InsertDate = bool
;   Вставлять дату при открытии SmartPad.
;   (по умолчанию: 1)

[Game]

EnableGame=1
;EnableGame = bool
;   При значении 0 запуск встроенной игры запрещен.
;   (по умолчанию: 1)

[Clipboard]

MaxClipboardSize=4096
;MaxClipBoardSize = long
;   Максимальный накапливаемый размер ClipBoard.
;   (по умолчанию: 4096)

SaveClipboardOnExit=1
;SaveClipBoardOnExit = bool
;   При значении 1 ClipBoard сохраняется между запусками.
;   (по умолчанию: 1)

[Kernel]

AltGrAsAlt=0
;AltGrAsAlt = bool
;   При значении 1 клавиши AltGr и Alt одинаковы.
;   (по умолчанию: 1)

DoVESATest=0
;DoVESATest = bool
;   При значении 1 доступны расширенные видеорежимы VESA со 132
;   колонками в ширину, но Windows будет производить раздражающее
;   переключение в полный экран.
;   (по умолчанию: 0)

SmartWindowsBoxClose=0
;SmartWindowsBoxClose = bool
;   При значении 1 закрытие окна консоли Windows 9x/2000 эквивалентно
;   нажатию Alt-X в Дос Навигаторе.
;   (по умолчанию: 0)

StoreVideoMode=0
;StoreVideoMode = long
;   При значении 0 видеорежим, выбранный в меню, не сохраняется. При
;   значении 1 он сохраняется как видеорежим 1. При значении 2 он
;   сохраняется как видеорежим 2.
;   (по умолчанию: 0)

HandleChDirCommand=1
;HandleChDirCommand = bool
;   Включает обработку Дос Навигатором команды перехода "cd path" и D:
;   самостоятельно, без запуска командного процессора.
;   (по умолчанию: 1)

CopyLimit=8192
;CopyLimit = long
;   Указывает ограничение буфера копирования в ОС в килобайтах.
;   Значение 0 означает отсутствие ограничения.
;   (по умолчанию: 8192; т.е. 8М)

ShowKeyCode=0
;ShowKeyCode = long
;   Отладочный флаг, показывающий скан-коды клавиш. Принимает
;   значения:
;   0 ─ скан-коды не показываются;
;   1 ─ показываются пары скан-код/код в отдельном окне;
;   2 ─ показывается скан-код в верхнем правом углу;
;   3 ─ 1 и 2 одновременно.
;   (по умолчанию: 0)

AutoSave=1
;AutoSave = bool
;   Пересохранять все параметры в DN.INI при запуске.
;   (по умолчанию: 1)

UseLFN=1
;UseLFN = bool
;   Пытаться ли использовать длинные имена файлов, или всегда работать
;   с короткими.
;   (по умолчанию: 1)

[Editor]

RecombineLongLines=0
;RecombineLongLines = bool
;   Как и прежде, строки длиннее 255 символов при загрузке в любом
;   случае разделяются на несколько частей. Но теперь, если включена
;   опция, каждая строка, длина которой составляет ровно 255 или 254
;   символа, при сохранении файла или записи выделенного блока в файл
;   объединяется со следующей строкой. Это позволяет производить
;   ограниченное редактирование файлов с длинными строками: можно
;   обычным образом редактировать последнюю часть длинной строки, в
;   то время как в предыдущих частях возможна только замена символов
;   без изменения длины строки. Чтобы показать особый статус таких
;   строк, они подсвечиваются при наведении на них курсора.
;   (по умолчанию: 0)

AutoBracketPairs=()[]{}<>
;AutoBracketPairs = str
;   Задает любое количество пар символов, считающихся скобками для
;   функции АвтоСкобки.
;   Примечание: этот параметр не имеет никакого отношения к функции
;   поиска парных скобок.
;   (по умолчанию: '()[]{}<>')

WinManagerPosToEdit=1
;WinManagerPosToEdit = bool
;   При нажатии Alt-0 в редакторе курсор встает на следующее окно
;   так же редактора, а не на любое.
;   Примечание: действие флага приоритетно, по сравнению с
;   WinManagerSelectNext.
;   (по умолчанию: 1)

FastSearchDeep=0
;FastSearchDeep = long
;   При поиске пар begin/end и т.д. может происходить сбой при наличии
;   комментариев, содержащих эти ключевые слова (сбивается подсчет пар
;   ...). Для исключения неограниченного поиска по файлу (очень долго
;   ждать) предлагается установить максимальную глубину поиска (около
;   300 строк).
;   (по умолчанию: 0; т.е. неограниченный поиск)

DefCodePage=Dos
;DefCodePage = str
;   Указание кодовой страницы для файлов, открываемых или создаваемых
;   в редакторе и отсутствующих в истории редактирования. Может иметь
;   значения Dos, Win, Koi и Auto (автоопределение кодовой страницы).
;   Примечание: Для правильного распознавания кодировки WIN или KOI в
;   тексте должны присутствовать строчные, прописные и гласные буквы;
;   на 500..999 строчных букв должна приходиться как минимум 1
;   прописная буква, но не больше чем 1 прописная на 5..9 строчных
;   букв; плюс из 5..9 строчных букв как минимум 1 должна быть
;   гласной ("ы", "э", "ю", "я" в набор гласных не включены).
;   (по умолчанию: Dos)

DefCodePageView=Dos
;DefCodePageView = str
;   Действует аналогично DefCodePage. Единственное отличие состоит в том,
;   что этот параметр влияет на встроенную программу просмотра.
;   (по умолчанию: Dos)

FastBookmark=1
;FastBookmark = bool
;   Отображать полосу быстрого доступа к закладкам внизу окна
;   редактора.
;   (по умолчанию: 1)

ShowBookmarks=1
;ShowBookmarks = bool
;   Отображать закладки в редакторе.
;   (по умолчанию: 1)

AutoScopeDetect=1
;AutoScopeDetect = bool
;   Автоматическое определение области поиска/замены в редакторе: если
;   выделен блок, то в "Отмеченный текст", иначе "Весь текст".
;   (по умолчанию: 1)

DrawRShift=0
;DrawRShift = bool
;   При значении 1 LShift рисует одинарную линию, а RShift ─
;   двойную. При установленном режиме рисования двойной линией ─
;   наоборот.
;   (по умолчанию: 0)

Koi8rKeyMap=1
;Koi8rKeyMap = bool
;   При значении 0 возможность переключаться между DOS/WIN/KOI по F8 в
;   редакторе выключена и работает лишь переключение DOS/WIN.
;   Примечание: На автоопределение при открытии файла в редакторе
;   данный параметр не влияет.
;   (по умолчанию: 1)

UnlimitUnindent=0
;UnlimitUnindent = bool
;   При значении 0 сдвиг блока влево с помощью Ctrl-K U будет
;   происходить, пока все строки могут сдвигаться. При значении 1
;   сдвиг будет происходить всегда.
;   (по умолчанию: 0)

[FilePanels]

QuickSearchType=0
;QuickSearchType = bool
;   Переключает режим быстрого поиска. При значении 0 подсветка будет
;   попадать только на те файлы, начало имени которых точно совпадает
;   с тем, что ввел пользователь. При значении 1 ДН по нажатию точки
;   будет автоматически добавлять к маске быстрого поиска "*.", т.е.
;   части имени можно не набирать полностью.
;   (по умолчанию: 0)

QuickRenameInDialog=0
;QuickRenameInDialog = bool
;   Производить быстрое переименование файла (по Alt-F6) в отдельном
;   окне, а не в панели.
;   (по умолчанию: 0)

LFNCutSide=1
;LFNCutSide = bool
;   Определяет как показывать LFN, если оно полностью не умещается на
;   разделителе/панели информации. Принимает значения:
;   0 ─ показывать левую часть LFN;
;   1 ─ показывать правую часть LFN;
;   2 ─ показывать левую часть LFN и расширение, если оно есть.
;   (по умолчанию: 1)

AlignLFNInBottom=1
;AlignLFNInBottom = bool
;   Управляет выравниванием LFN при показе его на разделителе/панели
;   информации. Принимает значения:
;   0 ─ выравнивать LFN по центру;
;   1 ─ выравнивать LFN слева;
;   2 ─ выравнивать LFN справа.
;   (по умолчанию: 1)

ShowLongName=0
;ShowLongName = bool
;   Управляет показом LFN. Принимает значения:
;   0 ─ не показывать LFN;
;   1 ─ показывать LFN если оно не равно короткому имени файла без
;       учета регистра имен;
;   2 ─ показывать LFN если оно не равно короткому имени;
;   3 ─ LFN будет показываться во всех случаях.
; (по умолчанию: 0)

ShowFileMask=1
;ShowFileMask = bool
;   Если в панели есть маска, отличная от *.*, то показывать ее вместо
;   LFN.
;   (по умолчанию: 1)

[NetInfo]

NoLevelsInfo=0
;NoLevelsInfo = bool
;   Не отображать в сетевой информации SFT/TTS Lev.
;   (по умолчанию: 0)

[Language]

ShowLanguageMenu=0
;ShowLanguageMenu = bool
;   При значении 1 выбор команды "Сменить язык" или нажатие Alt-F12
;   выводит меню, содержащее список доступных языков (их набор
;   определяется путем поиска файлов ресурсов в каталогах Дос
;   Навигатора и %DNDLG%). При значении 0 выбор команды "Сменить
;   язык" или нажатие Alt-F12 вызывает автоматическое циклическое
;   переключение на следующий доступный язык после текущего.
;   (по умолчанию: 0)

HelpLanguageOverride=
;HelpLanguageOverride = str
;   Определяет язык помощи. В качестве источника таковой принимается
;   файл с именем из указанного в параметре названия языка и
;   расширением .HLP.
;   (по умолчанию: ''; т.е. используется файл справки для текущего
;   языка, если он существует, или файл справки для английского языка
;   в противном случае)

ActiveLanguage=
;ActiveLanguage = str
;   Определяет текущий язык. В качестве ресурсов такового принимается
;   файл с именем из указанного в параметре названия языка и
;   соответствующим расширением.
;   (по умолчанию: ''; т.е. в порядке предпочтения - переменная
;   окружения %DNLNG%, если она существует; английский язык; первый по
;   списку из других доступных языков)

[Calendar]

OptionFlags=0
;OptionFlags = long
;   Определяет основные настройки календаря. Принимает комбинацию из
;   следующих значений:
;    1 ─ сообщения, приходящиеся на выходные, будут перезаписаны
;        другими событиями, даже если их категории будут выше;
;    2 ─ выключает правило <clock_week_days>;
;    4 ─ выключает правило <day_of_week_1>;
;    8 ─ включает индикатор, показывающий номер недели и дня;
;   16 ─ при SundayFirst = 1 номер недели на индикаторе будет
;        несовместим с международным стандартом IS-8601, но "правилен"
;        с точки зрения самого календаря, т.к. номер недели будет
;        неизменным на протяжении всей недели, начиная с воскресенья и
;        заканчивая субботой.
;   (по умолчанию: 0)

DefaultInfo=
;DefaultInfo = str
;   Определяет значение по умолчанию для тех дат, которые не вошли ни
;   в одну из категорий.
;   (по умолчанию: '')

SundayFirst=2
;SundayFirst = long
;   При значении 1 воскресенье считается 1-м днем недели. При значении
;   0 ─ последним. При значении 2 параметр определяется автоматически.
;   (по умолчанию: 2)

ShowOnStartup=0
;ShowOnStartup = bool
;   Показывать окно календаря сразу после запуска Дос Навигатора.
;   (по умолчанию: 0; т.е. не показывать)
